require 'autoinc'

#module EcconnectRails
  class EcconnectPayment
    include EcconnectRails::BaseModel
    include Mongoid::Document
    include Mongoid::Timestamps
    include Mongoid::Autoinc

    field :delay, type: Boolean
    field :merchant_id, type: Integer
    field :terminal_id, type: String
    field :tran_code, type: String
    field :approval_code, type: Integer
    field :locale, type: String
    field :proxy_pan, type: String
    field :currency_id, type: Integer
    field :alt_currency_id, type: Integer
    field :amount, type: Float
    field :alt_amount, type: Integer
    field :order_id, type: Integer
    field :income_signature, type: String
    field :purchase_desc, type: String
    field :email, type: String
    field :sd, type: String
    field :xid, type: String
    field :rrn, type: String

    increments :order_id, seed: 1

    ecconnect_payment

    belongs_to :user
  end
#end