require "spec_helper"

describe EcconnectPaymentsController do
  #routes { EcconnectRails::Engine.routes }
  it{ expect(get: '/ecconnect_payments').not_to be_routable }
  it{ get('/ecconnect_payments/1').should route_to(controller: 'ecconnect_payments', action: 'show', id: '1') }
  it{ get('/ecconnect_payments/new').should route_to(controller: 'ecconnect_payments', action: 'new') }
  it{ post('/ecconnect_payments/success').should route_to(controller: 'ecconnect_payments', action: 'success') }
  it{ post('/ecconnect_payments/failure').should route_to(controller: 'ecconnect_payments', action: 'failure') }
  it{ post('/ecconnect_payments/notify').should route_to(controller: 'ecconnect_payments', action: 'notify') }
  it{ expect(get: 'ecconnect_payments/1/edit').not_to be_routable }
  it{ post('/ecconnect_payments').should route_to(controller: 'ecconnect_payments', action: 'create') }
  it{ expect(put: 'ecconnect_payments/1').not_to be_routable }
  it{ expect(delete: 'ecconnect_payments/1').not_to be_routable } 
end